Retrieves a specified order.
Catalog API (2.0.0)
- Version: 2.0.0
- Servers:
https://store.xsolla.com/api - Contact Us by Email
- Contact URL: https://xsolla.com/
- Required TLS version: 1.2
The Catalog API allows you to configure a catalog of in-game items on the Xsolla side and display the catalog to users in your store.
The API allows you to manage the following catalog entities:
- Virtual items — in-game items such as weapons, skins, boosters.
- Virtual currency — virtual money used to purchase virtual goods.
- Virtual currency packages — predefined bundles of virtual currency.
- Bundles — combined packages of virtual items, currency, or game keys sold as a single SKU.
- Game keys — keys for games and DLCs distributed via platforms like Steam or other DRM providers.
- Groups — logical groupings for organizing and sorting items within the catalog.
The API is divided into the following groups:
Admin — calls for creating, updating, deleting, and configuring catalog items and groups. Authenticated via basic access authentication with your merchant or project credentials. Not intended for storefront use.Catalog — calls for retrieving items and building custom storefronts for end users. Designed to handle high-load scenarios. Support optional user JWT authorization to return personalized data such as user-specific limits and active promotions.
Download OpenAPI description
Languages
Servers
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/api/catalog/
Path
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
Example: 44056
- https://store.xsolla.com/api/v2/project/{project_id}/order/{order_id}
- Mock serverhttps://xsolla.redocly.app/_mock/api/catalog/v2/project/{project_id}/order/{order_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
https://store.xsolla.com/api/v2/project/44056/order/656 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "order_id": 1, "status": "paid", "content": { "price": { … }, "is_free": false, "items": [ … ] } }
Path
Bodyapplication/jsonProject ID. You can find this parameter in your Publisher Account next to the name of the project.
Example: 44056
Order search parameters
Number of the order from which the list is generated (the count starts from 0).
Default 0
Start date or date-time of the order creation period per ISO 8601.
Example: "2020-04-15T18:16:00+05:00"
End date or date-time of the order creation period per ISO 8601.
Example: "2020-04-16T18:16:00+05:00"
- https://store.xsolla.com/api/v3/project/{project_id}/admin/order/search
- Mock serverhttps://xsolla.redocly.app/_mock/api/catalog/v3/project/{project_id}/admin/order/search
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://store.xsolla.com/api/v3/project/44056/admin/order/search \
-H 'Content-Type: application/json' \
-d '{
"offset": 0,
"limit": 5,
"created_date_from": "2018-01-07T00:00:00+03:00",
"created_date_until": "2018-01-09T16:00:00+03:00"
}'Response
application/json
{ "orders": [ { … }, { … }, { … } ], "total_items_count": 11, "has_more": true }